Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libgrip
#Epoch:		0
Version:	0.1.0
Release:	1
License:	GNU/LGPLv3
URL:		https://launchpad.net/libgrip
Group:		System/Libraries
Summary:	multitouch gesture library for GTK
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		grip-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: gobject-introspection-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: utouch-geis-devel

%description
libgrip is a library for GTK+ applications to give them the ability to use multitouch gestures.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n grip-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libgrip-0.1.so.*
%{_libdir}/girepository-1.0/Grip-0.1.typelib
%{_datadir}/gir-1.0/Grip-0.1.gir

%files devel
%defattr(-,root,root)
%{_includedir}/libgrip-0.1/libgrip/gripgesturemanager.h
%{_includedir}/libgrip-0.1/libgrip/grip.h
%{_libdir}/libgrip-0.1.la
%{_libdir}/libgrip-0.1.so
%{_pkgconfig}/libgrip-0.1.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.0-1
- initial CCux package release
